package edu.travel;

import edu.travel.cache.annotation.EnableRedis;
import edu.travel.cache.annotation.EnableRedisCache;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * Hello world!
 *
 */
@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("edu.travel.mapper")
@EnableRedisCache
public class OauthServerApplication
{
    public static void main( String[] args )
    {
        SpringApplication.run(OauthServerApplication.class, args);
    }
}
